OpenapiOrders
Get Domains Available for Trial
API Docs with browser clientRetrieve a list of domains or parent domains(ie; their subdomains are available for trial)
x-api-key<token>
In: header
Header Parameters
x-namefi-eip7702-account?string
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred header name.
x-namefi-eip1271-account?string
Legacy alias for x-namefi-erc1271-account. When multiple delegated account headers are present, x-namefi-eip7702-account takes precedence, then x-namefi-erc1271-account.
x-namefi-erc1271-account?string
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred ERC-1271 header name.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.namefi.dev/v-next/trial/domains/available"[
{
"normalizedDomainName": "string",
"type": "PARENT_DOMAIN",
"trialDuration": 0,
"trialDurationUnit": "days"
}
]{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": null
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Unauthorized",
"data": null
}{
"defined": true,
"code": "PAYMENT_REQUIRED",
"status": 402,
"message": "Payment Required",
"data": null
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "Forbidden",
"data": null
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": null
}{
"defined": true,
"code": "NOT_ACCEPTABLE",
"status": 406,
"message": "Not Acceptable",
"data": null
}{
"defined": true,
"code": "TIMEOUT",
"status": 408,
"message": "Request Timeout",
"data": null
}{
"defined": true,
"code": "CONFLICT",
"status": 409,
"message": "Conflict",
"data": null
}{
"defined": true,
"code": "PRECONDITION_FAILED",
"status": 412,
"message": "Precondition Failed",
"data": null
}{
"defined": true,
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Too Many Requests",
"data": null
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal Server Error",
"data": null
}